from BaseHTTPServer import BaseHTTPRequestHandler, HTTPServer
import sys


PORT_NUMBER = int(sys.argv[1])
SERVER_ID = int(sys.argv[2])
APP_ID = int(sys.argv[3])

class my_handler(BaseHTTPRequestHandler):
    #Handler for the GET requests
    def do_GET(self):
        self.send_response(200)
        self.send_header('Content-type', 'text/html')
        self.end_headers()
        # Send the html message
        msgs = self.path.split('/')
        if len(msgs) != 2:
            return
        self.wfile.write('appId:{} serverId:{} value:{}'.format(APP_ID, SERVER_ID, msgs[1]))
        return

try:
    #Create a web server and define the handler to manage the
    #incoming request
    server = HTTPServer(('', PORT_NUMBER), my_handler)
    print 'Started httpserver with on port {}'.format(PORT_NUMBER)

    #Wait forever for incoming htto requests
    server.serve_forever()
except KeyboardInterrupt:
    print 'shutting down the web server'
    server.socket.close()

